## goffice 0.6.3-1

=== debian/changelog ===
goffice (0.6.3-1) unstable; urgency=low

  * Update to goffice 0.6.3 release

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 15 Jun 2008 15:43:46 +0200

goffice (0.6.2+svn20080417-1chinook1) unstable; urgency=low

  * New Upstream snapshot, required for the latest gnumeric snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 17 Apr 2008 00:10:38 +0200

goffice (0.6.2-1chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook

 -- Thomas Schmidt <tschmidt@debian.org>  Wed, 16 Apr 2008 23:11:06 +0200

goffice (0.6.2-1) unstable; urgency=low

  * New upstream stable release. 

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 07 Mar 2008 07:02:30 +0100

goffice (0.6.1-2chinook2) unstable; urgency=low

  * libgoffice-0-6-dev: do not depend on libgnomeui-dev

 -- Thomas Schmidt <tschmidt@debian.org>  Sun,  3 Feb 2008 23:48:19 +0100

goffice (0.6.1-2chinook1) unstable; urgency=low

  * Rebuild for Maemo Chinook
    - Lowered versioned Build-Dep on libpcre3-dev to 6.7-1
    - Removed Build-Dep to libgnomeui-dev
  * Fixed call to gtkdoc-rebase in gtk-doc.make and docs/reference/Makefile.in

 -- Thomas Schmidt <tschmidt@debian.org>  Sun,  3 Feb 2008 22:55:03 +0100

goffice (0.6.1-2) unstable; urgency=medium

  * [debian/rules]
    * Build static library.
    * Use variables for package names.
    * Have the debug package be filled by dh_strip --dbg-package, debhelper
      compatibility level 5 style.
  * [debian/compat] Update to the current recommended version (5).
  * [debian/control] Drop the version from the debug package name, as there is
    only need for a debug package for the current version and this eases
    gnome-dbg maintenance; added Conflicts and Replaces on the previous name
    for smooth transition.
  * [libgoffice-0-6-dbg.dirs, libgoffice-0-6-dbg.install,
    libgoffice-0-6-dbg.links] Renamed and adjusted accordingly.
  * [debian/dirs] Dropped.
  * The debug package is now generated through dh_strip and has an unversioned
    name. (Closes: #459604)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 18 Jan 2008 12:24:05 +0100

goffice (0.6.1-1) unstable; urgency=medium

  * New upstream stable release, needed for the forthcoming gnumeric 1.8
    series. The API version is now explicitly encoded (through
    GOFFICE_API_VER) as 0.6.
  * [debian/*] Adopt to API version.
  * [debian/rules] Added simple sanity check of packaging files against API
    version.
  * [debian/libgoffice-0-6-dbg.install] Fixed globbing pattern. 
  * [debian/copyright] Updated.
  * [debian/control]
    * libgoffice-0-6-dev obsoletes libgoffice-0-5-dev (which was a development
      version leading up to it). Added Conflicts, Replaces for smooth
      transition.
    * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 22 Dec 2007 11:23:06 +0100

goffice (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * [debian/rules] Changed the way LDFLAGS is passed so -Wl,--as-needed has
    much greater effect.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 05 Dec 2007 23:05:33 +0100

goffice (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * [debian/watch] Updated. (Closes: #450257)
  * [debian/control] Dropped `XS-' prefix from XS-Vcs-Svn, XS-Vcs-Browser.
  * [debian/libgoffice-0-5-dbg.links] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 20 Nov 2007 18:06:16 +0100

goffice (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 04 Nov 2007 20:13:50 +0100

goffice (0.5.1-2) unstable; urgency=low

  * [debian/control] Versioned the conflict with libgoffice-0-dev to allow
    parallel installability with a forthcoming oldlibs package.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 28 Oct 2007 13:51:43 +0100

goffice (0.5.1-1) unstable; urgency=low

  * New upstream development release.
  * Uploading to unstable as this is a prerequisite for getting gnumeric 1.7.x
    in.
  * [debian/rules] Switch to --disable-iso-c.
  * [debian/control]
    * Versioned the pcre3 build dependency as the shlibs of older versions
      were too loose. (Closes: #441331)
    * Added XS-Vcs-Svn, XS-Vcs-Browser.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 Oct 2007 19:20:18 +0200

goffice (0.5.0-1) experimental; urgency=low

  * New upstream development release.
  * [debian/control] Dropped gnome-print build and runtime dependencies.
  * [debian/*] Adapt to soname change.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 04 Sep 2007 19:22:23 +0200

goffice (0.4.2-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 24 Jul 2007 18:49:41 +0200

goffice (0.4.1-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 11 Jul 2007 20:20:17 +0200

goffice (0.4.0-1) experimental; urgency=low

  * New upstream development release.
  * Upstream fixes include goffice/utils/go-image.c: (cairo_to_pixbuf): fixed
    conversion on bigendian machines [gnome bugzilla #432532]. 
    (Closes: #411628)
  * [debian/*] Adapt to 0.4 version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  4 May 2007 07:36:38 +0200

goffice (0.3.8-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 21 Apr 2007 19:39:44 +0200

goffice (0.3.7-2) experimental; urgency=high

  * [debian/rules] Corrected mistake in reorganisation which caused the
    -common package to lack a number of vital files, causing a gnumeric crash
    reported as http://bugzilla.gnome.org/show_bug.cgi?id=416047 .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu,  8 Mar 2007 21:36:46 +0100

goffice (0.3.7-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon,  5 Mar 2007 06:58:36 +0100

goffice (0.3.6-1) experimental; urgency=low

  * New upstream development release.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

upstreamversion=$(shell dpkg-parsechangelog | grep Version | head -1 | sed -e 's/Version: //g' -e 's/-[A-Za-z0-9+\.]*$$//g')
versionh=$(shell echo $(upstreamversion) | sed -e 's/\.[^.]*$$//')
versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))

# The library file name. This goes into the package names (which is why we
# need to change the periods in it). The debian/* files must match.
baselibname=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=/libgoffice-/' -e s/\\./-/g)

pruntime=$(baselibname)
pdevel=$(baselibname)-dev
pdbg=libgoffice-dbg

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Ensure the build aborts when there are still references to undefined
# symbols.
LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1

# Make the linker only include actual dependencies on libraries, rather than
# for all libraries specified in the link line.
LDFLAGS += -Wl,--as-needed

# Make the linker find the X libraries
LDFLAGS += -L/usr/X11R6/lib

confflags := -v \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-html-dir=\$${prefix}/share/doc/$(pdevel)/html

# FHS locations
confflags +=	--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--datadir=\$${prefix}/share \
		--libdir=\$${prefix}/lib

# Compiler, language dialect
confflags +=    --disable-iso-c \
                --enable-compile-warnings=maximum

# Features
confflags +=    --enable-static --with-cairo --enable-gtk-doc

source-updates:
	# Update files/links generated by autotools
	env srcdir=`pwd` NOCONFIGURE=1 sh autogen.sh
	# Replace links by copies of their targets
	for file in `find -type l` ; do \
		tf=`tempfile` && \
		install -p $$file $$tf && \
		rm -f $$file && \
		install -p $$tf $$file && \
		rm -f $$tf ; \
	done
	rm -rf autom4te.cache configure-stamp

configure: configure-stamp
configure-stamp:
	dh_testdir
	if ! test -r debian/$(pruntime).install ; then \
		echo "Packaging files are not set up for base library name $(pruntime). Aborting." ; \
		exit 1 ; \
	fi
	
	# Add here commands to configure the package.

	rm -rf build && mkdir build
	rm -f goffice/goffice-paths.h
	cd build && env "CC=$(CC) $(LDFLAGS)" ../configure $(confflags)

	touch configure-stamp

build: build-stamp
build-stamp:  configure-stamp
	dh_testdir

	$(MAKE) -C build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	-$(MAKE) -C build distclean
	rm -rf build
	rm -f config.cache config.status
	-find -type f -name 'Makefile.am' | sed -e 's/\.am$$//' | xargs rm -f

	# Update config.{sub,guess} from autotools-dev, if possible.
	-for f in config.sub config.guess ; do \
		if test -r /usr/share/misc/$$f ; then \
			OLDDATE=`./$$f -t | tr -d -` ; \
			NEWDATE=`/usr/share/misc/$$f -t | tr -d -` ; \
			if [ $$OLDDATE -lt $$NEWDATE ] ; then \
				echo "GNU config automated update of $$f (replacing $$OLDDATE with $$NEWDATE)" 1>&2 ; \
				cp -f /usr/share/misc/$$f $$f ; \
			fi; \
		fi; \
	done

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Install the package into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install 

#	# FIXME: where do we put the debug for the plugins?
#	mkdir -p $(CURDIR)/debian/tmp/usr/lib/debug
#	for l in `find $(CURDIR)/debian/tmp/usr/lib -name '*.so*'`; do \
#		cp -vdf $$l $(CURDIR)/debian/tmp/usr/lib/debug ; \
#	done

	rm -f $(CURDIR)/debian/tmp/usr/lib/libgoffice-*.la


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything that should only affect one package
# should be put in another target (such as the install target) or be put
# into conditional constructs.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
ifeq ($(DH_OPTIONS),-s)
	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
endif
	dh_install --sourcedir=debian/tmp
ifeq ($(DH_OPTIONS),-s)
	dh_install -p$(pdbg) --sourcedir=debian/tmp
endif

#	dh_installdebconf -s
	dh_installdocs -s
	dh_installexamples -s
#	dh_installmenu -s
#	dh_installlogrotate -s
#	dh_installemacsen -s
#	dh_installpam -s
	dh_installmime -s
#	dh_installinit -s
#	dh_installcron -s
	dh_installman -s
	dh_installinfo -s
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo
	dh_installman
	dh_gconf
	dh_scrollkeeper
	dh_desktop
ifeq ($(DH_OPTIONS),-s)
	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
endif
	dh_link
	dh_buildinfo
	dh_compress
#	dh_perl
#	dh_python
ifeq ($(DH_OPTIONS),-s)
	dh_strip -v --dbg-package=$(pdbg)

        # Unfortunately, "-s" overrides "-p" for dh_makeshlibs and by acting
        # on all architecture-dependent packages we would get wrong shlibs
        # here, so we need to undo the "-s".
	env -u DH_OPTIONS dh_makeshlibs -s -p$(pruntime) -V '$(pruntime) (>= $(upstreamversion))'

	dh_shlibdeps -s -l debian/$(pruntime)/usr/lib/ -L $(pruntime)
endif
	dh_fixperms
	dh_installdeb
	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion)
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

## Any other binary targets build just one binary package at a time.
#binary-%: build install
#	make -f debian/rules binary-common DH_OPTIONS=-p$*
#

binary: binary-indep binary-arch

.PHONY: source-updates configure build clean install binary-indep binary-arch binary

## goffice 0.6.3-2

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey@novell.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = goffice-0.6.3
PACKAGE = goffice
VERSION = 0.6.3

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
datarootdir = @datarootdir@
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = /home/chelli/Development/gnumeric/goffice/goffice/install-sh
# Automake >= 1.8 provides mkdir -p --.
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; fi)

POFILES=$(shell if test -n "$(PO_LINGUAS)"; then LINGUAS="$(PO_LINGUAS)"; else LINGUAS="$(ALL_LINGUAS)"; fi; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS

POTFILES = \
	../goffice/app/error-info.c \
	../goffice/app/error-info.h \
	../goffice/app/file-priv.h \
	../goffice/app/file.c \
	../goffice/app/file.h \
	../goffice/app/go-app.h \
	../goffice/app/go-cmd-context-impl.h \
	../goffice/app/go-cmd-context.c \
	../goffice/app/go-cmd-context.h \
	../goffice/app/go-doc-control-impl.h \
	../goffice/app/go-doc-control.c \
	../goffice/app/go-doc-control.h \
	../goffice/app/go-doc-impl.h \
	../goffice/app/go-doc.c \
	../goffice/app/go-doc.h \
	../goffice/app/go-error-stack.h \
	../goffice/app/go-object.c \
	../goffice/app/go-object.h \
	../goffice/app/go-plugin-loader-module.c \
	../goffice/app/go-plugin-loader-module.h \
	../goffice/app/go-plugin-loader.c \
	../goffice/app/go-plugin-loader.h \
	../goffice/app/go-plugin-service-impl.h \
	../goffice/app/go-plugin-service.c \
	../goffice/app/go-plugin-service.h \
	../goffice/app/go-plugin.c \
	../goffice/app/go-plugin.h \
	../goffice/app/go-service-impl.h \
	../goffice/app/go-service.c \
	../goffice/app/go-service.h \
	../goffice/app/goffice-app.h \
	../goffice/app/io-context-priv.h \
	../goffice/app/io-context.c \
	../goffice/app/io-context.h \
	../goffice/app/module-plugin-defs.h \
	../goffice/component/go-component-factory.c \
	../goffice/cut-n-paste/foocanvas/foo-canvas-text.c \
	../goffice/cut-n-paste/foocanvas/foo-canvas.c \
	../goffice/data/go-data-impl.h \
	../goffice/data/go-data-simple.c \
	../goffice/data/go-data-simple.h \
	../goffice/data/go-data.c \
	../goffice/data/go-data.h \
	../goffice/data/goffice-data.h \
	../goffice/drawing/god-anchor.c \
	../goffice/drawing/god-anchor.h \
	../goffice/drawing/god-default-attributes.c \
	../goffice/drawing/god-default-attributes.h \
	../goffice/drawing/god-drawing-group.c \
	../goffice/drawing/god-drawing-group.h \
	../goffice/drawing/god-drawing-renderer-gdk.c \
	../goffice/drawing/god-drawing-renderer-gdk.h \
	../goffice/drawing/god-drawing-view.c \
	../goffice/drawing/god-drawing-view.h \
	../goffice/drawing/god-drawing.c \
	../goffice/drawing/god-drawing.h \
	../goffice/drawing/god-image-store.c \
	../goffice/drawing/god-image-store.h \
	../goffice/drawing/god-image.c \
	../goffice/drawing/god-image.h \
	../goffice/drawing/god-paragraph-attributes.c \
	../goffice/drawing/god-paragraph-attributes.h \
	../goffice/drawing/god-property-table.c \
	../goffice/drawing/god-property-table.h \
	../goffice/drawing/god-shape.c \
	../goffice/drawing/god-shape.h \
	../goffice/drawing/god-text-model.c \
	../goffice/drawing/god-text-model.h \
	../goffice/goffice-priv.h \
	../goffice/goffice.c \
	../goffice/goffice.h \
	../goffice/graph/goffice-graph.h \
	../goffice/graph/gog-axis-line.c \
	../goffice/graph/gog-axis-prefs.glade \
	../goffice/graph/gog-axis.c \
	../goffice/graph/gog-axis.h \
	../goffice/graph/gog-chart-impl.h \
	../goffice/graph/gog-chart.c \
	../goffice/graph/gog-chart.h \
	../goffice/graph/gog-control-foocanvas.c \
	../goffice/graph/gog-control-foocanvas.h \
	../goffice/graph/gog-data-allocator.c \
	../goffice/graph/gog-data-allocator.h \
	../goffice/graph/gog-data-set.c \
	../goffice/graph/gog-data-set.h \
	../goffice/graph/gog-error-bar-prefs.glade \
	../goffice/graph/gog-error-bar.c \
	../goffice/graph/gog-error-bar.h \
	../goffice/graph/gog-graph-impl.h \
	../goffice/graph/gog-graph-prefs.glade \
	../goffice/graph/gog-graph.c \
	../goffice/graph/gog-graph.h \
	../goffice/graph/gog-grid-line.c \
	../goffice/graph/gog-grid-line.h \
	../goffice/graph/gog-grid.c \
	../goffice/graph/gog-grid.h \
	../goffice/graph/gog-guru-type-selector.glade \
	../goffice/graph/gog-guru.c \
	../goffice/graph/gog-guru.glade \
	../goffice/graph/gog-guru.h \
	../goffice/graph/gog-label.c \
	../goffice/graph/gog-label.h \
	../goffice/graph/gog-legend.c \
	../goffice/graph/gog-legend.h \
	../goffice/graph/gog-object-prefs.glade \
	../goffice/graph/gog-object-xml.c \
	../goffice/graph/gog-object-xml.h \
	../goffice/graph/gog-object.c \
	../goffice/graph/gog-object.h \
	../goffice/graph/gog-outlined-object.c \
	../goffice/graph/gog-outlined-object.h \
	../goffice/graph/gog-plot-engine.c \
	../goffice/graph/gog-plot-engine.h \
	../goffice/graph/gog-plot-impl.h \
	../goffice/graph/gog-plot-prefs.glade \
	../goffice/graph/gog-plot.c \
	../goffice/graph/gog-plot.h \
	../goffice/graph/gog-reg-curve-prefs.glade \
	../goffice/graph/gog-reg-curve.c \
	../goffice/graph/gog-reg-eqn-prefs.glade \
	../goffice/graph/gog-renderer.c \
	../goffice/graph/gog-renderer.h \
	../goffice/graph/gog-series-impl.h \
	../goffice/graph/gog-series-prefs.glade \
	../goffice/graph/gog-series.c \
	../goffice/graph/gog-series.h \
	../goffice/graph/gog-smoothed-curve.c \
	../goffice/graph/gog-style-prefs.glade \
	../goffice/graph/gog-style.c \
	../goffice/graph/gog-style.h \
	../goffice/graph/gog-styled-object.c \
	../goffice/graph/gog-styled-object.h \
	../goffice/graph/gog-theme.c \
	../goffice/graph/gog-theme.h \
	../goffice/graph/gog-trend-line.c \
	../goffice/graph/gog-view.c \
	../goffice/graph/gog-view.h \
	../goffice/gtk/go-action-combo-color.c \
	../goffice/gtk/go-action-combo-color.h \
	../goffice/gtk/go-action-combo-pixmaps.c \
	../goffice/gtk/go-action-combo-pixmaps.h \
	../goffice/gtk/go-action-combo-stack.c \
	../goffice/gtk/go-action-combo-stack.h \
	../goffice/gtk/go-action-combo-text.c \
	../goffice/gtk/go-action-combo-text.h \
	../goffice/gtk/go-charmap-sel.c \
	../goffice/gtk/go-charmap-sel.h \
	../goffice/gtk/go-color-group.c \
	../goffice/gtk/go-color-group.h \
	../goffice/gtk/go-color-palette.c \
	../goffice/gtk/go-color-palette.h \
	../goffice/gtk/go-color-selector.c \
	../goffice/gtk/go-combo-box.c \
	../goffice/gtk/go-combo-box.h \
	../goffice/gtk/go-combo-color.c \
	../goffice/gtk/go-combo-color.h \
	../goffice/gtk/go-combo-pixmaps.c \
	../goffice/gtk/go-combo-pixmaps.h \
	../goffice/gtk/go-combo-text.c \
	../goffice/gtk/go-combo-text.h \
	../goffice/gtk/go-dock-band.c \
	../goffice/gtk/go-dock-band.h \
	../goffice/gtk/go-dock-item-grip.c \
	../goffice/gtk/go-dock-item-grip.h \
	../goffice/gtk/go-dock-item.c \
	../goffice/gtk/go-dock-item.h \
	../goffice/gtk/go-dock-layout.c \
	../goffice/gtk/go-dock-layout.h \
	../goffice/gtk/go-dock.c \
	../goffice/gtk/go-dock.h \
	../goffice/gtk/go-font-sel.c \
	../goffice/gtk/go-font-sel.glade \
	../goffice/gtk/go-font-sel.h \
	../goffice/gtk/go-format-sel.c \
	../goffice/gtk/go-format-sel.glade \
	../goffice/gtk/go-format-sel.h \
	../goffice/gtk/go-image-save-dialog-extra.glade \
	../goffice/gtk/go-locale-sel.c \
	../goffice/gtk/go-locale-sel.h \
	../goffice/gtk/go-optionmenu.c \
	../goffice/gtk/go-optionmenu.h \
	../goffice/gtk/go-palette.c \
	../goffice/gtk/go-rotation-sel.c \
	../goffice/gtk/go-rotation-sel.glade \
	../goffice/gtk/go-rotation-sel.h \
	../goffice/gtk/goffice-gtk.c \
	../goffice/gtk/goffice-gtk.h \
	../goffice/math/go-complex.c \
	../goffice/math/go-complex.h \
	../goffice/math/go-fft.c \
	../goffice/math/go-fft.h \
	../goffice/math/go-rangefunc.c \
	../goffice/math/go-rangefunc.h \
	../goffice/math/go-cspline.c \
	../goffice/math/go-cspline.h \
	../goffice/math/go-math.c \
	../goffice/math/go-math.h \
	../goffice/math/go-regression.c \
	../goffice/math/go-regression.h \
	../goffice/ms-compat/go-ms-parser.c \
	../goffice/ms-compat/go-ms-parser.h \
	../goffice/ms-compat/god-drawing-ms-client-handler.c \
	../goffice/ms-compat/god-drawing-ms-client-handler.h \
	../goffice/ms-compat/god-drawing-ms.c \
	../goffice/ms-compat/god-drawing-ms.h \
	../goffice/ms-compat/god-image-ms.c \
	../goffice/ms-compat/god-image-ms.h \
	../goffice/utils/datetime.c \
	../goffice/utils/datetime.h \
	../goffice/utils/formats.c \
	../goffice/utils/go-color.c \
	../goffice/utils/go-color.h \
	../goffice/utils/go-file.c \
	../goffice/utils/go-file.h \
	../goffice/utils/go-font.c \
	../goffice/utils/go-font.h \
	../goffice/utils/go-format.c \
	../goffice/utils/go-format.h \
	../goffice/utils/go-glib-extras.c \
	../goffice/utils/go-glib-extras.h \
	../goffice/utils/go-gradient.c \
	../goffice/utils/go-gradient.h \
	../goffice/utils/go-image.c \
	../goffice/utils/go-image.h \
	../goffice/utils/go-libxml-extras.c \
	../goffice/utils/go-libxml-extras.h \
	../goffice/utils/go-line.c \
	../goffice/utils/go-line.h \
	../goffice/utils/go-locale.c \
	../goffice/utils/go-locale.h \
	../goffice/utils/go-marker.c \
	../goffice/utils/go-marker.h \
	../goffice/utils/go-pattern.c \
	../goffice/utils/go-pattern.h \
	../goffice/utils/go-units.h \
	../goffice/utils/goffice-utils.h \
	../goffice/utils/regutf8.c \
	../goffice/utils/regutf8.h \
	../plugins/plot_barcol/gog-1.5d.c \
	../plugins/plot_barcol/gog-1.5d.h \
	../plugins/plot_barcol/gog-barcol-prefs.c \
	../plugins/plot_barcol/gog-barcol-prefs.glade \
	../plugins/plot_barcol/gog-barcol.c \
	../plugins/plot_barcol/gog-barcol.h \
	../plugins/plot_barcol/gog-dropbar.c \
	../plugins/plot_barcol/gog-line.c \
	../plugins/plot_barcol/gog-line.h \
	../plugins/plot_barcol/gog-minmax-prefs.glade \
	../plugins/plot_barcol/gog-minmax.c \
	../plugins/plot_barcol/plot-types.xml.in \
	../plugins/plot_barcol/plugin.xml.in \
	../plugins/plot_boxes/gog-boxplot-prefs.glade \
	../plugins/plot_boxes/gog-boxplot.c \
	../plugins/plot_boxes/gog-boxplot.h \
	../plugins/plot_boxes/gog-histogram.c \
	../plugins/plot_boxes/plot-types.xml.in \
	../plugins/plot_boxes/plugin.xml.in \
	../plugins/plot_pie/gog-pie-prefs.c \
	../plugins/plot_pie/gog-pie-prefs.glade \
	../plugins/plot_pie/gog-pie-series.glade \
	../plugins/plot_pie/gog-pie.c \
	../plugins/plot_pie/gog-pie.h \
	../plugins/plot_pie/gog-ring-prefs.glade \
	../plugins/plot_pie/plot-types.xml.in \
	../plugins/plot_pie/plugin.xml.in \
	../plugins/plot_radar/gog-radar.c \

=== debian/changelog ===
goffice (0.6.3-2) unstable; urgency=low

  * Rebuild, intended to go into Maemo Diablo

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 26 Jun 2008 12:08:46 +0200

=== debian/control ===
Source: goffice
Section: libs
Priority: optional
Maintainer: Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 4.2.21), dh-buildinfo, gtk-doc-tools (>= 1.4), libxml-parser-perl, libglib2.0-dev (>= 2.8.0), libgsf-1-dev (>= 1.14.0), libxml2-dev (>= 2.6.10-2), libpango1.0-dev (>= 1.12.1-2), libgtk2.0-dev (>= 2.8.17), libglade2-dev (>= 1:2.4.0-1), libart-2.0-dev (>= 2.3.16-5), libgconf2-dev (>= 2.6.2-1), libgsf-gnome-1-dev (>= 1.14.0), libpcre3-dev (>= 6.7-1), libxrender-dev, libxext-dev, libcairo2-dev (>= 1.2.0)
Vcs-Svn: svn://svn.gnome.org/svn/goffice/trunk
Vcs-Browser: http://svn.gnome.org/viewcvs/goffice/trunk/
Standards-Version: 3.7.3

Package: libgoffice-0-6-dev
Section: libdevel
Architecture: any
Conflicts: libgoffice-0-dev (<< 0.4.2-2), libgoffice-0-5-dev
Replaces: libgoffice-0-5-dev
Depends: libgoffice-0-6 (= ${Source-Version}), libglib2.0-dev (>= 2.8.0), libgsf-gnome-1-dev (>= 1.14.0), libxml2-dev (>= 2.6.10-2), libgtk2.0-dev (>= 2.8.17), libglade2-dev (>= 1:2.4.0-1), libart-2.0-dev (>= 2.3.16-5), libcairo2-dev
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed when building applications that use GOffice.

Package: libgoffice-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgoffice-0-6 (= ${Source-Version})
Conflicts: libgoffice-0-6-dbg
Replaces: libgoffice-0-6-dbg
Description: Document centric objects library - debugging files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files used to debug (applications that use) the GOffice
 library.

Package: libgoffice-0-6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgoffice-0-6-common (>= ${Source-Version}), ${misc:Depends}
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed to run applications that use GOffice.

Package: libgoffice-0-6-common
Section: libs
Architecture: all
Description: Document centric objects library - common files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the architecture independent files that are part of GOffice, like
 images and translations of messages.

## goffice 0.8.1

=== debian/changelog ===
goffice (0.8.1-1ubuntu2) lucid; urgency=low

  * libgoffice-0.8-8 has the same soname as libgoffice-0-8, the package was
    only renamed to suppress a lintian warning - so Provide: libgoffice-0-8
    to smooth the upgrade path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Apr 2010 15:23:34 +0000

goffice (0.8.1-1ubuntu1) lucid; urgency=low

  * FFe granted, upload to ubuntu. lp: #543612, #542021

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 21 Mar 2010 23:32:35 +0100

goffice (0.8.1-1ubuntu1~ppa1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - debian/rules: call intltool-update -p to generate a .pot file.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 20 Mar 2010 15:43:24 +0100

goffice (0.8.1-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/*] Reflect soname in package naming. (Closes: #570351)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 09 Mar 2010 21:23:00 +0100

goffice (0.8.0-1ubuntu2) lucid; urgency=low

  * Rebuild to include translations, since it has been demoted to universe.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 14 Mar 2010 14:26:03 +0100

goffice (0.8.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining change:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Feb 2010 01:26:13 -0500

goffice (0.8.0-1) unstable; urgency=low

  * New upstream stable release.
  * [debian/control] Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 15 Feb 2010 13:35:28 +0100

goffice (0.7.18-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining change:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 09 Feb 2010 16:30:15 -0500

goffice (0.7.18-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 26 Jan 2010 21:14:15 +0100
 

goffice (0.7.17-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 10 Jan 2010 00:20:44 -0500

goffice (0.7.17-1) unstable; urgency=low

  * New upstream release. Changes include:
    * Fixed a canvas performance issue (bugzilla.gnome.org #603813).
      (Closes: #559441)
  * [debian/source/format] Added - switch to source format 3.0 (quilt).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 16 Dec 2009 19:38:52 +0100

goffice (0.7.16-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Dec 2009 20:51:41 +0100

goffice (0.7.15-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 02 Nov 2009 08:41:34 +0100

goffice (0.7.14-2) unstable; urgency=low

  * Upload to unstable now that gnumeric 1.9.13 has migrated into testing.
  * [debian/control] For all build dependencies that have separate -doc
    packages, added the -doc packages as build dependencies as well in order
    to generate cross-references.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 17 Oct 2009 21:15:52 +0200

goffice (0.7.14-1) experimental; urgency=low

  * New upstream release. Uploading to experimental so as not to interfere
    with gnumeric 1.9.13's migration to testing.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 11 Oct 2009 18:24:29 +0200

goffice (0.7.13-1) unstable; urgency=medium

  * New upstream release. Urgency medium to keep up with gnumeric.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 20 Sep 2009 21:30:01 +0200

goffice (0.7.12-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 06 Sep 2009 19:34:59 +0200

goffice (0.7.11-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 02 Sep 2009 21:22:09 +0200

goffice (0.7.10-1) unstable; urgency=low

  * New upstream release.
  * [debian/libgoffice-0-8-common.install] Follow the migration from Glade
    to GtkBuilder and include the .ui files instead of the .glade files
    which are no longer present.
  * [debian/rules] Update accordingly.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Sep 2009 20:28:43 +0200

goffice (0.7.9-1) unstable; urgency=low

  * New upstream development release.
  * [debian/control]
    * Updated Standards-Version.
  * [debian/rules]
    * dh_scrollkeeper is a deprecated no-op nowadays; removed call.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 16 Aug 2009 13:43:29 +0200

goffice (0.7.8-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Mon, 22 Jun 2009 13:31:12 +0200

goffice (0.7.8-1) unstable; urgency=low

  * New upstream development release.
  * [debian/control]
    * Add libgoffice-0-8-dev Depends: libgsf-1-dev as per the .pc file.
      (Closes: #531168)
    * Updated Standards-Version.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 21 Jun 2009 20:41:35 +0200

goffice (0.7.7-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: call intltool-update -p to generate a .pot file

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Sat, 06 Jun 2009 14:55:56 +0200

goffice (0.7.7-1) unstable; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 24 May 2009 08:00:46 +0200

goffice (0.7.6-1) unstable; urgency=low

  * New upstream development release.
  * This version is needed by Gnumeric 1.9.7 which has a high priority
    bugfix; setting urgency accordingly.
  * [debian/rules] Removed "--with-cairo" from confflags as it is no longer
    a separate option for the configure script.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 07 May 2009 08:26:24 +0200



=== debian/control ===
Source: goffice
Section: libs
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-buildinfo,
 gtk-doc-tools (>= 1.4), libxml-parser-perl,
 libglib2.0-dev (>= 2.16.0), libglib2.0-doc, libgsf-1-dev (>= 1.14.9),
 libxml2-dev (>= 2.6.10-2), libxml2-doc,
 libpango1.0-dev (>= 1.12.1-2), libpango1.0-doc,
 libgtk2.0-dev (>= 2.8.17), libgtk2.0-doc,
 libglade2-dev (>= 1:2.4.0),
 libgconf2-dev (>= 2.6.2),
 libxrender-dev, libxext-dev, libcairo2-dev (>= 1.2.0), libcairo2-doc
Vcs-git: git://git.gnome.org/goffice
Vcs-Browser: http://git.gnome.org/cgit/goffice/
Standards-Version: 3.8.4

Package: libgoffice-0.8-dev
Section: libdevel
Architecture: any
Conflicts: libgoffice-0-dev (<< 0.4.2-2), libgoffice-0-5-dev, libgoffice-0-8-dev
Replaces: libgoffice-0-5-dev, libgoffice-0-8-dev
Depends: libgoffice-0.8-8 (= ${binary:Version}), libglib2.0-dev (>= 2.16.0), libxml2-dev (>= 2.6.10-2), libgtk2.0-dev (>= 2.8.17), libglade2-dev (>= 1:2.4.0), libcairo2-dev (>= 1.2.0), libgconf2-dev, libgsf-1-dev (>= 1.14.9), ${misc:Depends}
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed when building applications that use GOffice.

Package: libgoffice-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgoffice-0.8-8 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgoffice-0-6-dbg
Replaces: libgoffice-0-6-dbg
Description: Document centric objects library - debugging files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files used to debug (applications that use) the GOffice
 library.

Package: libgoffice-0.8-8
Section: libs
Architecture: any
Conflicts: libgoffice-0-8
Replaces: libgoffice-0-8
Provides: libgoffice-0-8
Depends: ${shlibs:Depends}, libgoffice-0.8-8-common (>= ${binary:Version}), ${misc:Depends}
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed to run applications that use GOffice.

Package: libgoffice-0.8-8-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Description: Document centric objects library - common files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the architecture independent files that are part of GOffice, like
 images and translations of messages.

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,15 @@
 versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
 nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))
 
-# The library file name. This goes into the package names (which is why we
-# need to change the periods in it). The debian/* files must match.
-baselibname=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=/libgoffice-/' -e s/\\./-/g)
-
+# API version
+apiver=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=//')
+# ABI major version
+somajor=$(shell grep -i '^VERSION_INFO=[0-9]' configure | sed -e 's/^.*=//' -e 's/:.*//')
+# The base library name
+baselibname=libgoffice-$(apiver)-$(somajor)
 pruntime=$(baselibname)
-pdevel=$(baselibname)-dev
+pcommon=$(baselibname)-common
+pdevel=libgoffice-$(apiver)-dev
 pdbg=libgoffice-dbg
 
 # These are used for cross-compiling and for saving the configure script
@@ -72,7 +75,7 @@
                 --enable-compile-warnings=maximum
 
 # Features
-confflags +=    --enable-static --with-cairo --enable-gtk-doc
+confflags +=    --enable-static --enable-gtk-doc
 
 source-updates:
 	# Update files/links generated by autotools
@@ -85,26 +88,30 @@
 		install -p $$tf $$file && \
 		rm -f $$tf ; \
 	done
-	rm -rf autom4te.cache configure-stamp
-
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
+	rm -rf autom4te.cache config-stamp
+
+configure: config-stamp
+config-stamp:
+	dh_testdir
+	dh_prep
 	if ! test -r debian/$(pruntime).install ; then \
 		echo "Packaging files are not set up for base library name $(pruntime). Aborting." ; \
 		exit 1 ; \
 	fi
 	
+	# Generate a .pot file
+	cd po; intltool-update -p
+
 	# Add here commands to configure the package.
 
 	rm -rf build && mkdir build
 	rm -f goffice/goffice-paths.h
 	cd build && env "CC=$(CC) $(LDFLAGS)" ../configure $(confflags)
 
-	touch configure-stamp
+	touch config-stamp
 
 build: build-stamp
-build-stamp:  configure-stamp
+build-stamp:  config-stamp
 	dh_testdir
 
 	$(MAKE) -C build
@@ -114,11 +121,12 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
-
-	-$(MAKE) -C build distclean
+	rm -f config-stamp build-stamp
+
+	if test -d build && test -f build/Makefile ; then \
+		$(MAKE) -C build distclean; \
+	fi
 	rm -rf build
-	rm -f config.cache config.status
 	-find -type f -name 'Makefile.am' | sed -e 's/\.am$$//' | xargs rm -f
 
 	# Update config.{sub,guess} from autotools-dev, if possible.
@@ -138,7 +146,6 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
 	dh_installdirs
 
 	# Install the package into debian/tmp
@@ -151,7 +158,6 @@
 #	done
 
 	rm -f $(CURDIR)/debian/tmp/usr/lib/libgoffice-*.la
-
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -169,6 +175,16 @@
 ifeq ($(DH_OPTIONS),-s)
 	dh_install -p$(pdbg) --sourcedir=debian/tmp
 endif
+	# Remove files from the main package that belong to a more
+	# specialist package
+	# (dh_install doesn't do the right thing here IMO; perhaps it
+	# doesn't like multiple globs in one line)
+	while read l ; do \
+		rm -rvf debian/$(pruntime)/$$l ; \
+	done < debian/$(pcommon).install
+
+	# Remove dirs that are now empty
+	-find debian/tmp -depth -type d | xargs rmdir >/dev/null 2>&1
 
 #	dh_installdebconf -s
 	dh_installdocs -s
@@ -196,8 +212,6 @@
 	dh_installinfo
 	dh_installman
 	dh_gconf
-	dh_scrollkeeper
-	dh_desktop
 ifeq ($(DH_OPTIONS),-s)
 	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
 endif

## goffice 0.8.2-1

=== debian/changelog ===
goffice (0.8.2-1) unstable; urgency=low

  * Update to goffice 0.8.2
  * Optified

 -- Tomasz Pieniazek <t.pieniazek@gazeta.pl>  Fri, 30 Apr 2010 18:08:44 +0200

=== debian/control ===
Source: goffice
Section: libs
Priority: optional
Maintainer: Tomasz Pieniazek <t.pieniazek@gazeta.pl>
Build-Depends: debhelper (>= 4.2.21), dh-buildinfo, gtk-doc-tools (>= 1.4), libxml-parser-perl, libglib2.0-dev (>= 2.8.0), libgsf-1-dev (>= 1.14.0), libxml2-dev (>= 2.6.10-2), libpango1.0-dev (>= 1.12.1-2), libgtk2.0-dev (>= 2.8.17), libglade2-dev (>= 1:2.4.0-1), libart-2.0-dev (>= 2.3.16-5), libgconf2-dev (>= 2.6.2-1), libgsf-1-dev (>= 1.14.0), libpcre3-dev (>= 6.7-1), libxrender-dev, libxext-dev, libcairo2-dev (>= 1.2.0)
Vcs-Svn: svn://svn.gnome.org/svn/goffice/trunk
Vcs-Browser: http://svn.gnome.org/viewcvs/goffice/trunk/
Standards-Version: 3.7.3

Package: libgoffice-0-8-dev
Section: libdevel
Architecture: any
Conflicts: libgoffice-0-dev (<< 0.4.2-2), libgoffice-0-5-dev
Replaces: libgoffice-0-5-dev
Depends: libgoffice-0-8 (= ${Source-Version}), libglib2.0-dev (>= 2.8.0), libgsf-1-dev (>= 1.14.0), libxml2-dev (>= 2.6.10-2), libgtk2.0-dev (>= 2.8.17), libglade2-dev (>= 1:2.4.0-1), libart-2.0-dev (>= 2.3.16-5), libcairo2-dev
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed when building applications that use GOffice.

Package: libgoffice-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgoffice-0-8 (= ${Source-Version})
Conflicts: libgoffice-0-8-dbg
Replaces: libgoffice-0-8-dbg
Description: Document centric objects library - debugging files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files used to debug (applications that use) the GOffice
 library.

Package: libgoffice-0-8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgoffice-0-8-common (>= ${Source-Version}), ${misc:Depends}
Description: Document centric objects library - runtime files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the files needed to run applications that use GOffice.

Package: libgoffice-0-8-common
Section: libs
Architecture: all
Description: Document centric objects library - common files
 GOffice is a library of document centric objects and utilities building on
 top of GLib and Gtk+.
 .
 These are the architecture independent files that are part of GOffice, like
 images and translations of messages.

=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,12 @@
 versiont=$(shell echo $(upstreamversion) | sed -e 's/^.*\.//')
 nextupstreamversion=$(shell echo $(versionh).$$(expr $(versiont) + 1))
 
-# API version
-apiver=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=//')
-# ABI major version
-somajor=$(shell grep -i '^VERSION_INFO=[0-9]' configure | sed -e 's/^.*=//' -e 's/:.*//')
-# The base library name
-baselibname=libgoffice-$(apiver)-$(somajor)
+# The library file name. This goes into the package names (which is why we
+# need to change the periods in it). The debian/* files must match.
+baselibname=$(shell grep -i '^GOFFICE_API_VER=[0-9]' configure | sed -e 's/^.*=/libgoffice-/' -e s/\\./-/g)
+
 pruntime=$(baselibname)
-pcommon=$(baselibname)-common
-pdevel=libgoffice-$(apiver)-dev
+pdevel=$(baselibname)-dev
 pdbg=libgoffice-dbg
 
 # These are used for cross-compiling and for saving the configure script
@@ -75,7 +72,7 @@
                 --enable-compile-warnings=maximum
 
 # Features
-confflags +=    --enable-static --enable-gtk-doc
+confflags +=    --enable-static --with-cairo #--enable-gtk-doc
 
 source-updates:
 	# Update files/links generated by autotools
@@ -88,30 +85,27 @@
 		install -p $$tf $$file && \
 		rm -f $$tf ; \
 	done
-	rm -rf autom4te.cache config-stamp
-
-configure: config-stamp
-config-stamp:
-	dh_testdir
-	dh_prep
+	rm -rf autom4te.cache configure-stamp
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
 	if ! test -r debian/$(pruntime).install ; then \
 		echo "Packaging files are not set up for base library name $(pruntime). Aborting." ; \
 		exit 1 ; \
 	fi
 	
-	# Generate a .pot file
-	cd po; intltool-update -p
-
 	# Add here commands to configure the package.
 
 	rm -rf build && mkdir build
 	rm -f goffice/goffice-paths.h
 	cd build && env "CC=$(CC) $(LDFLAGS)" ../configure $(confflags)
 
-	touch config-stamp
+	touch configure-stamp
+	cp doltlibtool build/doltlibtool;
 
 build: build-stamp
-build-stamp:  config-stamp
+build-stamp:  configure-stamp
 	dh_testdir
 
 	$(MAKE) -C build
@@ -121,12 +115,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f config-stamp build-stamp
-
-	if test -d build && test -f build/Makefile ; then \
-		$(MAKE) -C build distclean; \
-	fi
+	rm -f configure-stamp build-stamp
+
+	-$(MAKE) -C build distclean
 	rm -rf build
+	rm -f config.cache config.status
 	-find -type f -name 'Makefile.am' | sed -e 's/\.am$$//' | xargs rm -f
 
 	# Update config.{sub,guess} from autotools-dev, if possible.
@@ -146,6 +139,7 @@
 install: build
 	dh_testdir
 	dh_testroot
+	dh_clean -k 
 	dh_installdirs
 
 	# Install the package into debian/tmp
@@ -158,6 +152,7 @@
 #	done
 
 	rm -f $(CURDIR)/debian/tmp/usr/lib/libgoffice-*.la
+
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -175,16 +170,6 @@
 ifeq ($(DH_OPTIONS),-s)
 	dh_install -p$(pdbg) --sourcedir=debian/tmp
 endif
-	# Remove files from the main package that belong to a more
-	# specialist package
-	# (dh_install doesn't do the right thing here IMO; perhaps it
-	# doesn't like multiple globs in one line)
-	while read l ; do \
-		rm -rvf debian/$(pruntime)/$$l ; \
-	done < debian/$(pcommon).install
-
-	# Remove dirs that are now empty
-	-find debian/tmp -depth -type d | xargs rmdir >/dev/null 2>&1
 
 #	dh_installdebconf -s
 	dh_installdocs -s
@@ -212,6 +197,8 @@
 	dh_installinfo
 	dh_installman
 	dh_gconf
+	dh_scrollkeeper
+	dh_desktop
 ifeq ($(DH_OPTIONS),-s)
 	rm -rvf $(CURDIR)/debian/$(pdbg)/usr/share/doc/$(pdbg)
 endif
@@ -233,6 +220,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol -v -- -VUpstream-Version=$(upstreamversion)
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb
